// 需要登录的路由
export const router = [
  {
    path: '/orderDetail',
    name: 'orderDetail',
    component: () => import('@/views/order-detail/index'),
    meta: {
      title: '订单详情'
    }
  },
  {
    path: '/tradeDetail',
    name: 'tradeDetail',
    component: () => import('@/views/trade/trade-detail'),
    meta: {
      title: '交易详情'
    }
  },
  {
    path: '/goodsOrder',
    name: 'goodsOrder',
    component: () => import('@/views/goods-order/index'),
    meta: {
      title: '商品订单'
    }
  },
  {
    path: '/afterSale',
    name: 'afterSale',
    component: () => import('@/views/goods-order/after-sale'),
    meta: {
      title: '售后服务'
    }
  },
  {
    path: '/afterService',
    name: 'afterService',
    component: () => import('@/views/after-service/index'),
    meta: {
      title: '售后服务'
    }
  },
  {
    path: '/helpCenter',
    name: 'helpCenter',
    component: () => import('@/views/article-center/help-center'),
    meta: {
      title: '帮助中心'
    }
  },
  {
    path: '/helpCenterDetail',
    name: 'helpCenterDetail',
    component: () => import('@/views/article-center/help-center-detail'),
    meta: {
      title: '帮助中心详情'
    }
  },
  {
    path: '/special',
    name: 'special',
    component: () => import('@/views/article-center/special'),
    meta: {
      title: '资讯列表'
    }
  },
  {
    path: '/specialDetail',
    name: 'specialDetail',
    component: () => import('@/views/article-center/special-detail'),
    meta: {
      title: '资讯详情'
    }
  },
  {
    path: '/articleTheory',
    name: 'articleTheory',
    component: () => import('@/views/article-center/theory'),
    meta: {
      title: '乐理列表'
    }
  },
  {
    path: '/theoryDetail',
    name: 'theoryDetail',
    component: () => import('@/views/article-center/theory-detail'),
    meta: {
      title: '乐理详情'
    }
  }
]

// 不需要登录的路由
export const rootRouter = [
  {
    path: '/registerProtocol',
    name: 'registerProtocol',
    component: () => import('@/views/protocol/register'),
    meta: {
      title: '注册协议'
    }
  },
  {
    path: '/privacyProtocol',
    name: 'privacyProtocol',
    component: () => import('@/views/protocol/privacy'),
    meta: {
      title: '酷乐秀隐私政策'
    }
  }
]
