import { defineComponent } from 'vue'
import { Image } from 'vant'
import request from '@/helpers/request'
import { useAsyncState } from '@vueuse/core'
import Item from '../list/item'
import styles from './index.module.less'

export default defineComponent({
  name: 'Songbook',
  setup() {
    const { isLoading, state } = useAsyncState(
      request.post('/api-student/music/sheet/list', {
        data: {}
      }),
      null
    )
    return () =>
      state.value && state.value.data.rows.length ? (
        <div class={styles.listContainer}>
          {state.value.data.rows.map(item => (
            <Item data={item} />
          ))}
        </div>
      ) : null
  }
})
